## org.codehaus.groovy.grails.webflow.execution.repository.continuation
Class GrailsAwareSerializedFlowExecutionContinuation

    java.lang.Object
      org.springframework.webflow.execution.repository.continuation.FlowExecutionContinuation
          org.springframework.webflow.execution.repository.continuation.SerializedFlowExecutionContinuation
              org.codehaus.groovy.grails.webflow.execution.repository.continuation.GrailsAwareSerializedFlowExecutionContinuation

All Implemented Interfaces:
  Externalizable, Serializable, GrailsApplicationAware

    public class GrailsAwareSerializedFlowExecutionContinuation

extends org.springframework.webflow.execution.repository.continuation.SerializedFlowExecutionContinuation
implements GrailsApplicationAware

A SerializedFlowExecutionContinuation that is capable of deserializing flows that have Grails classes stored in the flow context.

This class overrides the deserialize(byte[]) method and makes the ObjectInputStream capable of loading classes from the Grails class loader

Since:
  0.6

  Created: Jul 6, 2007 Time: 11:02:00 PM
Author:
  Graeme Rocher
See Also:
  Serialized Form

Constructor Summary
`GrailsAwareSerializedFlowExecutionContinuation()`
`GrailsAwareSerializedFlowExecutionContinuation(org.springframework.webflow.execution.FlowExecution flowExecution, boolean compress)`

Method Summary
`protected org.springframework.webflow.execution.FlowExecution` `deserialize(byte[] data)`
`void` `setGrailsApplication(GrailsApplication grailsApplication)` This method is called by the `ApplicationContext` that loads the Grails application.

Methods inherited from class org.springframework.webflow.execution.repository.continuation.SerializedFlowExecutionContinuation
`compress, decompress, getFlowExecutionData, isCompressed, readExternal, serialize, toByteArray, unmarshal, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsAwareSerializedFlowExecutionContinuation

    public GrailsAwareSerializedFlowExecutionContinuation()

### GrailsAwareSerializedFlowExecutionContinuation

    public GrailsAwareSerializedFlowExecutionContinuation(org.springframework.webflow.execution.FlowExecution flowExecution,
                                                          boolean compress)
                                                   throws org.springframework.webflow.execution.repository.continuation.ContinuationCreationException

Throws:
  `org.springframework.webflow.execution.repository.continuation.ContinuationCreationException`

Method Detail

### deserialize

    protected org.springframework.webflow.execution.FlowExecution deserialize(byte[] data)
                                                                       throws IOException,
                                                                              ClassNotFoundException

  Overrides:
    `deserialize` in class `org.springframework.webflow.execution.repository.continuation.SerializedFlowExecutionContinuation`
  Throws:
    `IOException`
    `ClassNotFoundException`

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication grailsApplication)

  Description copied from interface: `GrailsApplicationAware`

  This method is called by the `ApplicationContext` that loads the Grails application. The `GrailsApplication` instance that represents the loaded Grails application is injected.

  Specified by:
    `setGrailsApplication` in interface `GrailsApplicationAware`
  Parameters:
    `grailsApplication` - the `GrailsApplication` object that represents this Grails application

Copyright (c) 2005-2006 The Grails project